Subject: [p2p-sip] Protocol Choice

From: kumarb at research.panasonic.com (Brijesh Kumar)
Date: Wed Sep 14 11:10:11 2005

----- Original Message ----- 
From: "Roy, Radhika (AEAD)" <[email-masked]>

> OK, I got it. I have the topic as "P2P Protocol Choice."
> <snip><snip>
> The other important requirements for the p2p communications are as
follows:
>
> "P2P communications protocol MUST support both real-time and
near/non-real-time communications."

Hmm .. interesting ...

You have a good point Radhika. However, I think P2P SIP group,
for now or initially, should  focus only on specifying requirements just
for P2P SIP. In otherwords - "P2P SIP  MUST support both real-time
and near/non-real-time communications" should be the limiting statement.
As long as this is met - I see no reason why should someone care what
P2P protocol one uses underlying  SIP.  Why not just focus on  P2P SIP
high-level requirements and design  something that meets these goals rather
than trying to get bogged down with which p2p? We need to learn with
P2P SIP first before we get deeper and deeper in the wide world of P2P
protocols themselves. I am not disagreeing with your idea, but only
suggesting let us learn to walk first before we run.  My 2 cents!

cheers,

--bk

>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, September 13, 2005 8:51 PM
> To: Roy, Radhika (AEAD); 'Dean Willis'
> Cc: [email-masked]; 'Stastny Richard'; 'Tschofenig, Hannes'
> Subject: RE: [p2p-sip] P2P and 911 (again)
>
> > It looks like that p2p-SIP BOF did not explain enough why it needs to
form
> the new WG
>
> There are many protocol choices and design decisions to be made for P2P
SIP,
> such as for example the choices discussed for the p2p protocol messages
> (generic Chord or SIP messages), p2p at the UA level or in the SIP server
> cloud; single level or multilevel SIP p2p server clouds., etc.
>
> Just take a look at the wealth of contributions at www.p2psip.org
>
> The dominant VoIP service is P2P and is not based on IETF work.
> We do not want the IETF to miss the reality completely on the Internet.
>
> Thanks, Henry
>
>
>
> -----Original Message-----
> From: Roy, Radhika (AEAD) [mailto:[email-masked]]
> Sent: Monday, September 12, 2005 3:10 PM
> To: Dean Willis
> Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
> Subject: RE: [p2p-sip] P2P and 911 (again)
>
> It looks like that p2p-SIP BOF did not explain enough why it needs to form
> the new WG. Let us discuss the necessity for forming a new WG and find out
> the probable work items.
>
> However, like many other items, whether E911 and CALEA will be a part of
the
> p2p-SIP WG is a different story.
>
> So, if the new WG needs to be formed, it must justify the items other than
> E911 and CALEA.
>
> Best regards,
> Radhika
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Dean Willis
> Sent: Monday, September 12, 2005 3:55 PM
> To: Roy, Radhika (AEAD)
> Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
> Subject: Re: [p2p-sip] P2P and 911 (again)
>
>
> Nope. We're supposed to discuss the objectives, and decide whether or
> not it really does require new work outside the scope of existing WGs,
> and if so, exactly what that new scope should be. If this leads us to
> the formation of a new working group, that's fine -- but forming a new
> working group is NOT the only reasonable outcome.
>
> --
> Dean
>
> On Aug 19, 2005, at 2:05 PM, Roy, Radhika ((AEAD)) wrote:
>
> > Hi, all:
> >
> > Is it not the case that SIP P2P BOF is supposed to explain why we need
> > to establish a new SIP P2P WG because it requires new P2P protocol
> > developments what SIP WG cannot do?
> >
> > Best regards,
> > Radhika
> >
>
> _______________________________________________
> p2p-sip mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip
>